Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.cipher
Class SshCipher

    java.lang.Object
      com.sshtools.j2ssh.transport.cipher.SshCipher

Direct Known Subclasses:
  BlowfishCbc, TripleDesCbc

public abstract class SshCipher
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static int` | `DECRYPT_MODE` DOCUMENT ME!
`static int` | `ENCRYPT_MODE` DOCUMENT ME!

Constructor Summary
`SshCipher()`

Method Summary
`abstract int` | `getBlockSize()` DOCUMENT ME!
`abstract void` | `init(int mode, byte[] iv, byte[] keydata)` DOCUMENT ME!
`byte[]` | `transform(byte[] data)` DOCUMENT ME!
`abstract byte[]` | `transform(byte[] data, int offset, int len)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCRYPT_MODE

    public static final int ENCRYPT_MODE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### DECRYPT_MODE

    public static final int DECRYPT_MODE

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshCipher

    public SshCipher()

Method Detail

### getBlockSize

    public abstract int getBlockSize()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### init

    public abstract void init(int mode,
                              byte[] iv,
                              byte[] keydata)
                       throws AlgorithmOperationException

  DOCUMENT ME!

  Parameters:
    `mode` - DOCUMENT ME!
    `iv` - DOCUMENT ME!
    `keydata` - DOCUMENT ME!
  Throws:
    `AlgorithmOperationException` - DOCUMENT ME!

### transform

    public byte[] transform(byte[] data)
                     throws AlgorithmOperationException

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `AlgorithmOperationException` - DOCUMENT ME!

### transform

    public abstract byte[] transform(byte[] data,
                                     int offset,
                                     int len)
                              throws AlgorithmOperationException

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!
    `offset` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `AlgorithmOperationException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD